<?php

// --begin
// code taken from
// http://snipplr.com/view/4964/emulate-php-5-for-backwards-compatibility/
// title: upgrade.php
// description: backwards compatibility for older PHP interpreters
// version: 14
// license: Public Domain
// url: http://freshmeat.net/p/upgradephp
#-- write-at-once file access (counterpart to file_get_contents)
if (!function_exists("file_put_contents")) {
 function file_put_contents($filename, $data, $flags=0, $resource=NULL) {
   #-- prepare
   $mode = ($flags & FILE_APPEND ? "a" : "w" ) ."b";
   $incl = $flags & FILE_USE_INCLUDE_PATH;
   $length = strlen($data);
   
   #-- open for writing
   $f = fopen($filename, $mode, $incl);
   if ($f) {
     $written = fwrite($f, $data);
     fclose($f);

     #-- only report success, if completely saved
     return($length == $written);
   }
 }
}
// --end


function to_base($numstring, $frombase, $tobase) {
    $chars = "0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ-_";
   $tostring = substr($chars, 0, $tobase);

   $length = strlen($numstring);
   $result = '';
   for ($i = 0; $i < $length; $i++) {
       $number[$i] = strpos($chars, $numstring{$i});
   }
   do {
       $divide = 0;
       $newlen = 0;
       for ($i = 0; $i < $length; $i++) {
           $divide = $divide * $frombase + $number[$i];
           if ($divide >= $tobase) {
               $number[$newlen++] = (int)($divide / $tobase);
               $divide = $divide % $tobase;
           } elseif ($newlen > 0) {
               $number[$newlen++] = 0;
           }
       }
       $length = $newlen;
       $result = $tostring{$divide} . $result;
   }
   while ($newlen != 0);
   return $result;
}
$stamp = microtime(true) * (rand() / getrandmax()) * 100;
$id = to_base((string)$stamp, 10, 62);

if ($_POST['type'] == "paste") {
    $sgf = $_POST['sgf'];
    if (get_magic_quotes_gpc()) $sgf = stripslashes($_POST['sgf']);
} elseif ($_POST['type'] == "file") {
    $sgf = file_get_contents($_FILES['sgf_file']['tmp_name']);
    @unlink($_FILES['sgf_file']['tmp_name']);
}

// if (strlen($_POST['sgf'] > 30000)) {
if (strlen($sgf) > 150000 || strncmp($sgf, "(;", 2)!=0) {
   exit;
}

file_put_contents("../sgf/saved/$id.sgf", $sgf);
if ($_GET['lang']) {
   $lang = $_GET['lang'];
   header("location: ../?lang=$lang#$id");
}
else   
   header("location: ../#$id");
echo $id;

?>
