#! /usr/bin/env python
# -*- coding: utf-8 -*-
#
# Script for generating PNGs with coordinates.
# Copyright (c) 2011, Bartek Dyda <kropki@yahoo.co.uk>
#
# This file is part of EidoKropki -- Web-based SGF Editor for Kropki
# 
# Code licensed under AGPLv3:
# http://www.fsf.org/licensing/licenses/agpl-3.0.html
#

from PIL import Image
from PIL import ImageFont, ImageDraw

def Rysuj25():
    im = Image.new("RGBA", (430, 430), (0,0,0,0))
    #im = Image.new("RGBA", (430, 430), (0,0,0,255))

    draw = ImageDraw.Draw(im)
    #font = ImageFont.truetype("/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType/LiberationMono-Regular.ttf", 15)
    #font = ImageFont.truetype("/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType/DejaVuSans.ttf", 12)
    #font = ImageFont.truetype("/home/bartek/bin/java/jre1.6.0_18/lib/fonts/LucidaTypewriterRegular.ttf", 12
    #font = ImageFont.truetype("/home/bartek/bin/java/jre1.6.0_18/lib/fonts/LucidaSansDemiBold.ttf", 12)
    font = ImageFont.truetype("/usr/share/vlc/skins2/fonts/FreeSans.ttf", 12)


    gdzie = 34
    for p in "ABCDEFGHJKLMNOPQRSTUVWXYZ":
        if p == 'V':
            q = ' V'
            poprawka = -3
        elif p == 'J':
            q = ' J'
            poprawka = 0
        else: 
            q = p
            poprawka = 0
        draw.text((gdzie+poprawka, 4), q, font=font, fill=(255,255,255,255))
        draw.text((gdzie+poprawka, 414), q, font=font, fill=(255,255,255,255))
        gdzie += 15

    gdzie = 388
    for p in range(1,26):
        poprawka = 0 if p < 10 else 8
        draw.text((8-poprawka, gdzie), '%d' % p, font=font, fill=(255,255,255,255))
        draw.text((415, gdzie), '%d' % p, font=font, fill=(255,255,255,255))
        gdzie -= 15

    im.save('../player/images/board-bg-coords25x25.png', "PNG")

def Rysuj40():
    im = Image.new("RGBA", (430, 430), (0,0,0,0))
    #im = Image.new("RGBA", (430, 430), (0,0,0,255))

    draw = ImageDraw.Draw(im)
    #font = ImageFont.truetype("/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType/LiberationMono-Regular.ttf", 15)
    #font = ImageFont.truetype("/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType/DejaVuSans.ttf", 12)
    #font = ImageFont.truetype("/home/bartek/bin/java/jre1.6.0_18/lib/fonts/LucidaTypewriterRegular.ttf", 12
    #font = ImageFont.truetype("/home/bartek/bin/java/jre1.6.0_18/lib/fonts/LucidaSansDemiBold.ttf", 12)
    font = ImageFont.truetype("/usr/share/vlc/skins2/fonts/FreeSans.ttf", 10)


    gdzie = 19
    for p in "ABCDEFGHJKLMNOPQRSTUVWXYZabcdefghjklmnop":
        if p == 'V':
            q = ' V'
            poprawka = -2
        elif p == 'J':
            q = ' J'
            poprawka = 0
        elif p == 'j':
            poprawka = 1
            q = p
        elif p == 'm':
            poprawka = -2
            q = p
        else: 
            q = p
            poprawka = 0
        draw.text((gdzie+poprawka, 4), q, font=font, fill=(255,255,255,255))
        draw.text((gdzie+poprawka, 414), q, font=font, fill=(255,255,255,255))
        gdzie += 10

    gdzie = 405
    for p in range(1,41):
        poprawka = 0 if p < 10 else 4
        draw.text((9-poprawka, gdzie), '%d' % p, font=font, fill=(255,255,255,255))
        draw.text((416, gdzie), '%d' % p, font=font, fill=(255,255,255,255))
        gdzie -= 10

    im.save('../player/images/board-bg-coords40x40.png', "PNG")


def Rysuj3932():
    im = Image.new("RGBA", (430+84, 430), (0,0,0,0))
    #im = Image.new("RGBA", (430, 430), (0,0,0,255))

    draw = ImageDraw.Draw(im)
    #font = ImageFont.truetype("/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType/LiberationMono-Regular.ttf", 15)
    #font = ImageFont.truetype("/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType/DejaVuSans.ttf", 12)
    #font = ImageFont.truetype("/home/bartek/bin/java/jre1.6.0_18/lib/fonts/LucidaTypewriterRegular.ttf", 12
    #font = ImageFont.truetype("/home/bartek/bin/java/jre1.6.0_18/lib/fonts/LucidaSansDemiBold.ttf", 12)
    font = ImageFont.truetype("/usr/share/vlc/skins2/fonts/FreeSans.ttf", 11)


    gdzie = 28
    numer = 0  # tak, zaczynamy od zera!
    for p in "abcdefghjklmnopqrstuvwxyzABCDEFGHJKLMNO":
        if p == 'V':
            q = ' V'
            poprawka = -2
        elif p == 'J':
            q = 'J'
            poprawka = 0
        elif p == 'j':
            poprawka = 1
            q = p
        elif p == 'm':
            poprawka = -2
            q = p
        else: 
            q = p
            poprawka = 0
        draw.text((gdzie+poprawka, 9), '%d' % (numer % 10), font=font, fill=(255,255,255,255))
        if numer % 10 == 0:
            draw.text((gdzie+poprawka, 0), '%d' % (numer / 10), font=font, fill=(255,255,255,255))
        draw.text((gdzie+poprawka, 414), q, font=font, fill=(255,255,255,255))
        gdzie += 12
        numer += 1


    draw.text((416+84, 4), 'ru',  font=font, fill=(255,255,0  ,255))
    draw.text((1, 414), 'pl',  font=font, fill=(255,255,0  ,255))

    gdzie = 397
    for p in range(1,33):
        poprawka = 0 if p < 10 else 4
        draw.text((9-poprawka, gdzie), '%d' % p, font=font, fill=(255,255,255,255))
        draw.text((416+84, gdzie), '%02d' % (32-p), font=font, fill=(255,255,255,255))
        gdzie -= 12

    im.save('../player/images/board-bg-coords39x32.png', "PNG")


Rysuj3932()
